'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isDeclarativeNode = isDeclarativeNode;
exports.containsOnlyDeclarativeNodes = containsOnlyDeclarativeNodes;
function isDeclarativeNode(node) {
  const type = node.type;
  return type === 'VariableDeclaration' || type === 'FunctionDeclaration' || type === 'ClassDeclaration' || type === 'ImportDeclaration' || type === 'ExportNamedDeclaration' || type === 'ExportDefaultDeclaration' || type === 'ExportAllDeclaration';
}

function containsOnlyDeclarativeNodes(nodes) {
  const length = nodes.length;

  for (let i = 0; i < length; i++) {
    if (!isDeclarativeNode(nodes[i])) {
      return false;
    }
  }

  return true;
}
//# sourceMappingURL=analyze.js.map